Page MenuHomePhabricator

Special:ContentTranslationStats should have ability to show only translations in the wiki's language
Closed, ResolvedPublic

Description

As there are many wikis with enabled ContenTranslation and so many published translations, graph of translated articles (especially in smaller wikis) in wiki's language is far too near to zero. From such graph is hard to read useful information about evolution on usage on the one specified wiki.

There should be option to "show only translations in the particular language" (and maybe to "show only translations in the particular wiki", especially after deploying ContentTranslation to non-Wikipedia projects).

Event Timeline

KuboF created this task.Jun 14 2015, 2:23 PM
KuboF raised the priority of this task from to Needs Triage.
KuboF updated the task description. (Show Details)
KuboF added a project: ContentTranslation.
KuboF added a subscriber: KuboF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 14 2015, 2:23 PM
santhosh triaged this task as Normal priority.Jun 18 2015, 11:16 AM
santhosh set Security to None.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jun 25 2015, 11:10 PM
Pginer-WMF added a subscriber: Pginer-WMF.EditedAug 31 2015, 11:52 AM

As part of T110325, I was suggesting to provide control on whether to display the local language, all languages or both.

We can consider a more advanced language selection mechanism if we consider to support comparing different languages easily, but the above should at least help with the bigger problem of the "all languages" graph making the local one irrelevant by expanding the scale too much.

santhosh closed this task as Resolved.Sep 26 2015, 3:45 AM
santhosh claimed this task.
santhosh added a subscriber: santhosh.

The total translation graph and language specific graph as separated now. You can see it in every wiki, for example: https://ca.wikipedia.org/wiki/Especial:ContentTranslationStats

That address this issue.